View Issue Details

IDProjectCategoryView StatusLast Update
0003501GNUnetATS servicepublic2018-06-07 00:25
ReporterChristian GrothoffAssigned ToMatthias Wachs 
PrioritynormalSeveritymajorReproducibilityalways
Status closedResolutionfixed 
Product VersionSVN HEAD 
Target Version0.11.0pre66Fixed in Version0.11.0pre66 
Summary0003501: proportional ATS allocation shows little stability
DescriptionLooking at a running peer, connections to certain other peers go up and down every few seconds (including between two peers known to run SVN HEAD). Also, the amount of bandwidth allocated by ATS for all peers is highly volatile, often changing as fast as the eye can see (in gnunet-peerinfo-gtk), then staying stuck for 1-2s and then again changing rapidly (usually just after a new peer joins or leaves the set, so this might be related to the excessive churn on connections).

This is using the proportional ATS solver, not sure if others are better (did not test that yet). Regardless, we somehow need to try to make the bandwidth allocation more stable (and not fluctuate from 5012 to 5013 to 5014 to 5011 within milliseconds) and try to keep connections open longer. Interestingly (positively), the CORE connectivity remains while the transport-level connections go up and down a LOT.
Steps To ReproduceRunning a couple of peers for a few hours on the normal network.
TagsNo tags attached.

Activities

Matthias Wachs

2014-07-17 16:16

manager   ~0008527

Improved with 33974:

ATS only notifies about updated bandwidth when there difference is > GNUNET_CONSTANTS_MINIMUM_BANDWIDTH
Topology supports connection request backoff

Issue History

Date Modified Username Field Change
2014-07-13 16:56 Christian Grothoff New Issue
2014-07-13 16:56 Christian Grothoff Status new => assigned
2014-07-13 16:56 Christian Grothoff Assigned To => Matthias Wachs
2014-07-17 16:16 Matthias Wachs Note Added: 0008527
2014-07-17 16:16 Matthias Wachs Status assigned => resolved
2014-07-17 16:16 Matthias Wachs Resolution open => fixed
2014-09-30 10:32 Christian Grothoff Fixed in Version => 0.11.0pre66
2014-09-30 10:32 Christian Grothoff Target Version => 0.11.0pre66
2018-06-07 00:25 Christian Grothoff Status resolved => closed